#!/bin/sh

[[ -f ~/.config/X11/Xresources ]] && xrdb -merge -I$HOME/.config/X11 ~/.config/X11/Xresources

hostname=$(hostname)

if [ "$hostname" == "giacomo-desktop" ]; then
	xrandr | grep -oP "DisplayPort-0" && xrandr --output DisplayPort-0 --mode 1920x1080 --rate 144
elif [ "$hostname" == "giacomo-thinkpad" ]; then
	true
elif [ "$hostname" == "giacomo-laptop" ]; then
	laptop=$(xrandr | grep -oP "eDP[^\s]*(?=\s+connected)")
	monitor=$(xrandr | grep -oP "HDMI[^\s]*(?=\s+connected)")

	[ -n "$laptop" ] && xrandr --output "$laptop" --gamma 1:1:.865
	[ -n "$monitor" ] && xrandr --output "$monitor" && xrandr --output "$monitor" --mode 1920x1080 --rate 120 --primary \
		&& xrandr --output "$laptop" --off && xrandr --output "$monitor" --set "Broadcast RGB" "Full"
fi

exec i3
